Name: TclTutor
Version: 2.0
Release: alt0.2
Summary: Teach the Tcl programming language in a quick and easy manner
License: Distributable
Group: Education
URL: http://www.msen.com/~clif/%name.html
Requires: tk >= 8.0
BuildArch: noarch
Source0: http://www.msen.com/~clif/Tutor2b4.tar.bz2
Source1: %name-16.xpm.gz
Source2: %name-32.xpm.gz
Patch: %name-2.0beta4-paths.patch.gz

%description
This is a package designed to teach the Tcl programming language in a
quick and easy manner. The goal is to teach the minimal amount of Tcl
syntax, commands and options that are necessary to write useful
programs.
You are encouraged to use the man pages and books to augment this
tutorial.
This version covers all of the commands in the Tcl language, as of
version 7.4, and most of the commands added in later Tcl revisions.


%prep
%setup -q -n %name
%patch -p1


%build


%install
install -d -m 0755 %buildroot{%_datadir/%name/lessons,%_bindir,%_niconsdir,%_miconsdir}
install -m 0755 %name.tcl %buildroot/%_bindir/
ln -s %name.tcl %buildroot/%_bindir/tcltutor
install -m 0644 *.html Tcl*.lsn Tcl.cfg %buildroot/%_datadir/%name/lessons/
install -m 0644 scaler.tcl htmllib.tcl %buildroot/%_datadir/%name/
gzip -dc %SOURCE1 > %buildroot%_miconsdir/%name.xpm
gzip -dc %SOURCE2 > %buildroot%_niconsdir/%name.xpm

# menu
%ifdef _desktopdir
install -d -m 0755 %buildroot%_desktopdir
iconv -f cp1251 -t utf-8 > %buildroot%_desktopdir/%name.desktop <<__MENU__
[Desktop Entry]
Version=1.0
Encoding=UTF-8
Name=%name
Exec=%name.tcl
Comment=Teach the Tcl programming language
Comment[uk]=   Tcl
X-MultipleArgs=true
Icon=%name
Terminal=false
Type=Application
StartupNotify=false
Categories=Application;Education;
__MENU__
%else
install -d -m 0755 %buildroot%_menudir
cat > %buildroot%_menudir/%name <<__MENU__
?package(%name): needs=x11 \
section="%group" \
title="%name" \
icon="%name.xpm" \
command="%_bindir/%name"
__MENU__
%endif


%post
%update_menus


%postun
%clean_menus


%files
%doc NOTICE README
%_datadir/%name
%_bindir/*
%_niconsdir/%name.*
%_miconsdir/%name.*
%ifdef _desktopdir
%_desktopdir/*
%else
%_menudir/*
%endif


%changelog
* Mon Jul 24 2006 Led <led@altlinux.ru> 2.0-alt0.2
- fixed URL

* Tue Jun 06 2006 Led <led@altlinux.ru> 2.0-alt0.1
- initial build
- added %name-2.0beta4-paths.patch
